Connect an AI assistant
Your AI assistant can read this documentation directly, so it answers from the current content instead of guessing. Add one of the servers below to your client — they use the Model Context Protocol (MCP). Each one covers a different body of content, so add the one you need.
The catalog did not load. Refresh the page to try again.
Loading…
{{server.name}}
{{server.summary}}
{{server.documentCount.toLocaleString()}} pages Not published to this site
- Name
-
{{server.name}} - URL
-
{{mcpServerUrl(server.path)}}
| Tool | What it does |
|---|---|
{{tool.name}} |
{{part.text}}{{part.text}} |
How can we help?
Searching in {{docApp.searchFilterBySpecificBookTitle}}
Searching for:
{{docApp.searchResultFilteredItems.length}} results for:
{{docApp.currentResultsSearchText}}
in {{docApp.searchFilterBySpecificBookTitle}}
Found {{docApp.searchResponse.totalResultsAvailable}} matches. Showing the top {{docApp.searchResponse.results ? docApp.searchResponse.results.length : 0}}. Use a more specific search to further narrow down the results.
No documentation pages match this search, so all content types are shown.
Most matches are in {{docApp.searchDocTypeRescue.best.name}}.
There is no book with the ID "{{docApp.searchBookRescue.bid}}", so the book filter from this link was ignored and results from all books are shown.
You have an odd number of " characters in your search terms - each one needs closing with a matching " character!
-
{{resultItem.title}} {{resultItem.matchedBy === 'semantic' ? 'semantic' : (resultItem.matchedBy === 'both' ? 'keyword + semantic' : 'keyword')}}
{{resultItem.url}}
{{docApp.libraryHomeViewProduct.title || docApp.libraryHomeViewProduct.id}}
{{docApp.libraryHomeViewProduct.description}}
{{group.title || group.id}}
{{group.description}}
Operation Information
- Application Reference:
com.hornbill.projectmanager - Scope:
Entity - ProjectRisks - Class:
Entity - Required Privilege Level:
user - Required Rights: Group F - canViewProjectRisks
Description
This flowcode operation gets details of all project risks for the project user and all of their projects based on the search criteria provided.
Request Parameters
The getMyProjectRisks API takes the following input parameters. It is important to note that the parameters must satisfy the requirement of the input validation checks.
| Name | Type | Required | Description |
|---|---|---|---|
searchFilter |
xs:string |
No | Search criteria for project risks. |
filterByRiskStatus |
xs:string |
No | Filters the results by a valid project risk status value, e.g. status.confirmedRisk |
filterByRiskWeighting |
xs:string |
No | Filters the results by risk weighting. Allowable values are 'low', 'medium', or 'high' |
filterByProjectStatus |
xs:string |
No | Filters the results by a valid project status value, e.g. status.active |
filterByProjectManager |
xs:string |
No | Filters the results by project manager user id. |
rowStart |
xs:integer |
Yes | Row Start for Paging. |
rowLimit |
xs:integer |
Yes | Page Size. |
sortDirection |
xs:string |
No | Either ASC or DESC. Required if sortng by risk, status or weighting, otherwise the filter will not apply. |
sortOnRisk |
xs:boolean |
No | Sorts the result set by risk name rather than risk index. Default is false. |
sortOnStatus |
xs:boolean |
No | Sorts the result set by risk status rather than risk index. Default is false. |
sortOnWeighting |
xs:boolean |
No | Sorts the result set by risk weighting rather than risk index. Default is false. |
Response Parameters
| Name | Type | Description |
|---|---|---|
outcome |
xs:string |
The outcome of the flowcode operation. |
totalRecordCount |
xs:integer |
The total number of project risks that match the search criteria. |
projectRisks |
xs:string |
A JSON string of project risks. |
Code Examples
curl -X POST 'https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.projectmanager/ProjectRisks' \
-H 'Authorization: ESP-APIKEY yourHornbillAPIKey' \
-H 'Content-Type: application/json' \
-d '{"@service":"apps/com.hornbill.projectmanager/ProjectRisks","@method":"getMyProjectRisks","params":{"searchFilter":"xs:string","filterByRiskStatus":"xs:string","filterByRiskWeighting":"xs:string","filterByProjectStatus":"xs:string","filterByProjectManager":"xs:string","rowStart":1,"rowLimit":1,"sortDirection":"xs:string","sortOnRisk":false,"sortOnStatus":false,"sortOnWeighting":false}}'
package main
import (
"fmt"
apiLib "github.com/hornbill/goApiLib"
)
func main() {
hornbillAPI := apiLib.NewXmlmcInstance("yourinstanceid")
hornbillAPI.SetAPIKey("yourHornbillAPIKey")
hornbillAPI.SetJSONResponse(true)
hornbillAPI.SetParam("searchFilter", "xs:string")
hornbillAPI.SetParam("filterByRiskStatus", "xs:string")
hornbillAPI.SetParam("filterByRiskWeighting", "xs:string")
hornbillAPI.SetParam("filterByProjectStatus", "xs:string")
hornbillAPI.SetParam("filterByProjectManager", "xs:string")
hornbillAPI.SetParam("rowStart", "xs:integer")
hornbillAPI.SetParam("rowLimit", "xs:integer")
hornbillAPI.SetParam("sortDirection", "xs:string")
hornbillAPI.SetParam("sortOnRisk", "xs:boolean")
hornbillAPI.SetParam("sortOnStatus", "xs:boolean")
hornbillAPI.SetParam("sortOnWeighting", "xs:boolean")
responseBody, apiError := hornbillAPI.Invoke("apps/com.hornbill.projectmanager/ProjectRisks", "getMyProjectRisks")
if apiError != nil {
fmt.Println(apiError)
return
}
fmt.Println(responseBody)
}
const endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.projectmanager/ProjectRisks";
const payload = {
"@service": "apps/com.hornbill.projectmanager/ProjectRisks",
"@method": "getMyProjectRisks",
"params": {
"searchFilter": "xs:string",
"filterByRiskStatus": "xs:string",
"filterByRiskWeighting": "xs:string",
"filterByProjectStatus": "xs:string",
"filterByProjectManager": "xs:string",
"rowStart": 1,
"rowLimit": 1,
"sortDirection": "xs:string",
"sortOnRisk": false,
"sortOnStatus": false,
"sortOnWeighting": false
}
};
fetch(endpoint, {
method: 'POST',
headers: {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
},
body: JSON.stringify(payload)
}).then(res => res.json())
.then(res => console.log(res));
const axios = require('axios');
const endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.projectmanager/ProjectRisks";
const payload = {
"@service": "apps/com.hornbill.projectmanager/ProjectRisks",
"@method": "getMyProjectRisks",
"params": {
"searchFilter": "xs:string",
"filterByRiskStatus": "xs:string",
"filterByRiskWeighting": "xs:string",
"filterByProjectStatus": "xs:string",
"filterByProjectManager": "xs:string",
"rowStart": 1,
"rowLimit": 1,
"sortDirection": "xs:string",
"sortOnRisk": false,
"sortOnStatus": false,
"sortOnWeighting": false
}
};
const axiosConfig = {
headers: {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
}
};
axios.post(endpoint, payload, axiosConfig)
.then((res) => {
console.log("RESPONSE RECEIVED: ", res);
})
.catch((err) => {
console.log("AXIOS ERROR: ", err);
})
$endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.projectmanager/ProjectRisks";
$payload = (object) [
'@service' => 'apps/com.hornbill.projectmanager/ProjectRisks',
'@method' => 'getMyProjectRisks',
'params' => (object) [
'searchFilter' => 'xs:string',
'filterByRiskStatus' => 'xs:string',
'filterByRiskWeighting' => 'xs:string',
'filterByProjectStatus' => 'xs:string',
'filterByProjectManager' => 'xs:string',
'rowStart' => 'xs:integer',
'rowLimit' => 'xs:integer',
'sortDirection' => 'xs:string',
'sortOnRisk' => 'xs:boolean',
'sortOnStatus' => 'xs:boolean',
'sortOnWeighting' => 'xs:boolean',
]
];
$headers = [
'Authorization: ESP-APIKEY yourHornbillAPIKey',
'Content-Type: application/json'
];
$curl = curl_init($url);
curl_setopt($curl, CURLOPT_URL, $endpoint);
curl_setopt($curl, CURLOPT_POST, true);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
curl_setopt($curl, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
$resp = curl_exec($curl);
curl_close($curl);
echo $resp;
$Endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.projectmanager/ProjectRisks"
$Body = @{
"@service" = "apps/com.hornbill.projectmanager/ProjectRisks"
"@method" = "getMyProjectRisks"
params = @{
searchFilter = "xs:string"
filterByRiskStatus = "xs:string"
filterByRiskWeighting = "xs:string"
filterByProjectStatus = "xs:string"
filterByProjectManager = "xs:string"
rowStart = "xs:integer"
rowLimit = "xs:integer"
sortDirection = "xs:string"
sortOnRisk = "xs:boolean"
sortOnStatus = "xs:boolean"
sortOnWeighting = "xs:boolean"
}
}
$Header = @{
"Authorization" = "ESP-APIKEY yourHornbillAPIKey"
}
$Parameters = @{
Method = "POST"
Uri = $Endpoint
Headers = $Header
Body = ($Body | ConvertTo-Json)
ContentType = "application/json"
}
Invoke-RestMethod @Parameters
import requests
import json
endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.projectmanager/ProjectRisks"
headers = {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
}
payload={
"@service":"apps/com.hornbill.projectmanager/ProjectRisks",
"@method":"getMyProjectRisks",
"params":{
"searchFilter":"xs:string",
"filterByRiskStatus":"xs:string",
"filterByRiskWeighting":"xs:string",
"filterByProjectStatus":"xs:string",
"filterByProjectManager":"xs:string",
"rowStart":"xs:integer",
"rowLimit":"xs:integer",
"sortDirection":"xs:string",
"sortOnRisk":"xs:boolean",
"sortOnStatus":"xs:boolean",
"sortOnWeighting":"xs:boolean",
},
}
response = requests.request("POST", endpoint, json=payload, headers=headers)
print(response.text)
- Version {{docApp.book.version}}
- Node {{docApp.node}} / {{docApp.build}}